Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations

GetLoadBalancerServerGroupBackendServer

GetLoadBalancerServerGroupBackendServer

GET/zstack/v1/load-balancers/listeners/{listenerUuid}/backendservers

Operation ID

GetLoadBalancerServerGroupBackendServer

Since

5.5.38

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • listenerUuid
    StringRequired

    The listener UUID. Backend servers of all server groups under the listener are returned.

Query Parameters

  • serverGroupUuid
    String

    Optional. The server group UUID. Optional filter. If not specified, backend servers of all server groups under the listener are returned.

  • limit
    Integer

    Optional. The page size. Default: 1000.

  • start
    Integer

    Optional. The starting offset of the page. Default: 0.

  • name
    String

    Optional. The server name. Fuzzy match. If not specified, all are returned.

  • state
    String

    Optional. The enabling state filter. Enabled indicates enabled, and Disabled indicates disabled. If not specified, all are returned.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the request succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. See error.

    • code
      StringRequired

      The error code, which is a globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default: null.

    • cause
      ErrorCodeRequired

      The root error, which is the source error that causes the current error. If there is no source error, this field is null.

  • total
    LongRequired

    The total number of backend servers after filtering.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The unique UUID of the backend server, deterministically generated from the server type and record ID and stable across requests.

    • serverGroupName
      StringRequired

      The server group name.

    • listenerUuid
      StringRequired

      The listener UUID. The state is the enabling state from the perspective of this listener.

    • serverGroupUuid
      StringRequired

      The server group UUID.

    • loadBalancerUuid
      StringRequired

      The load balancer UUID.

    • serverType
      StringRequired

      The backend server type. VmInstance for VM NICs, and ServerIp for external IPs.

    • vmNicUuid
      StringRequired

      The VM NIC UUID. Null when serverType is ServerIp.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID. Null when serverType is ServerIp.

    • serverName
      StringRequired

      The server name. For VM instance backends, it is the VM instance name. For external IP backends, it is the IP address.

    • ip
      StringRequired

      The IP address of the backend server.

    • l3NetworkUuid
      StringRequired

      The UUID of the L3 network where the NIC resides. Null when serverType is ServerIp.

    • weight
      LongRequired

      The weight.

    • ipVersion
      IntegerRequired

      The version of the IP protocol. Null when serverType is ServerIp.

    • state
      StringRequired

      The enabling state. Enabled indicates enabled, and Disabled indicates disabled. If listenerUuid is not specified, the value is an aggregated result.

    • runtimeStatus
      StringRequired

      The running status of the VM instance. Active indicates running, Inactive indicates stopped, and Pending indicates pending.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last operation time.